namespace PkmnLib.Plugin.Gen7.Scripts.Side;

[Script(ScriptCategory.Side, "tailwind")]
public class TailwindEffect : Script, IScriptChangeSpeed, IScriptOnEndTurn
{
    private int _duration = 3;

    /// <inheritdoc />
    public void ChangeSpeed(ITurnChoice choice, ref uint speed)
    {
        speed *= 2;
    }

    /// <inheritdoc />
    public void OnEndTurn(IScriptSource owner, IBattle battle)
    {
        _duration--;
        if (_duration <= 0)
            RemoveSelf();
    }
}